alter table jin_product add upgrade_prod int(11) not null default 0 after embed_prods_recur;

alter table jin_role add priv_master_plugins_trackurls varchar(50) not null default '' after priv_master_plugins_surveys;

create table jin_trackable_url
(
  id           int(11) not null primary key,
  label       varchar(255) not null default '',

  title        varchar(255) not null default '',
  admin_notes  text not null default '',

  alias        varchar(255) not null default '',
  url          varchar(255) not null default '',
  page         longtext not null default '',

  clicks       int(11) not null default 0,
  orders       int(11) not null default 0
);

create table jin_trackable_url_order
(
  trackurl_id  int(11) not null default 0,
  order_id     int(11) not null default 0,
  primary key(trackurl_id,order_id)
);

alter table jin_funnel_ccdata modify cardcvc varchar(16) not null default '';
